libtheora 1.1.1

Data Fields
th_img_plane Struct Reference

A buffer for a single color plane in an uncompressed image. More...

`#include <codec.h>`

## Data Fields
int | width
| The width of this plane. More...
int | height
| The height of this plane. More...
int | stride
| The offset in bytes between successive rows. More...
unsigned char * | data
| A pointer to the beginning of the first row. More...

## Detailed Description

A buffer for a single color plane in an uncompressed image.

This contains the image data in a left-to-right, top-down format. Each row of pixels is stored contiguously in memory, but successive rows need not be. Use stride to compute the offset of the next row. The encoder accepts both positive stride values (top-down in memory) and negative (bottom-up in memory). The decoder currently always generates images with positive strides.

## Field Documentation

## ◆ data

unsigned char* th_img_plane::data

A pointer to the beginning of the first row.

## ◆ height

int th_img_plane::height

The height of this plane.

## ◆ stride

int th_img_plane::stride

The offset in bytes between successive rows.

## ◆ width

int th_img_plane::width

The width of this plane.

The documentation for this struct was generated from the following file:

- codec.h